<template>
  <section>
    <div class="content">
      <NuxtLink
        to="/admin/products/create"
        class="text-green-400 text-lg font-semibold pb-5 flex cursor-pointer uppercase transition hover:text-pink-400"
      >
        Add Product
      </NuxtLink>
      <h3 class="text-sky-400 text-lg font-semibold uppercase transition">
        Products
      </h3>
    </div>
    <ul class="flex flex-col gap-y-5 content py-5 text-lg font-semibold">
      <li
        class="grid grid-cols-3 grid-rows-[200px] items-stretch gap-x-10 w-full bg-blue-200 p-2"
        v-for="(product, index) in data?.products"
        :key="index"
      >
        <img
          class="object-cover rounded"
          :src="`${product?.avatar?.path}${product?.avatar?.fileName}_large.${product?.avatar?.format}`"
          :alt="product.title"
        />
        <div class="flex flex-col gap-y-2">
          <span>
            Title:
            <span class="text-red-500">
              {{ product.title }}
            </span>
          </span>
          <span>
            Count:
            <span class="text-red-500">
              {{ product.count }}
            </span>
          </span>
          <span>
            Price:
            <span class="text-red-500">
              {{ product.price }}
            </span>
          </span>
          <span>
            Update:
            <span class="text-red-500">
              {{ getDateAsString(product.updateAt) }}
            </span>
          </span>
        </div>
        <div>
          <p>Description</p>
          <p class="text-red-500">
            {{ product.description }}
          </p>
        </div>
      </li>
    </ul>
  </section>
</template>

<script setup lang="ts">
const { data, refresh } = await useFetch("/api/product/all");

const getDateAsString = (date: Date) => {
  const newDate = new Date(date);
  return newDate.toLocaleString("ua-UA", {
    weekday: "long",
    year: "numeric",
    month: "long",
    day: "numeric",
    hour: "numeric",
    minute: "numeric",
    second: "numeric",
  });
};
</script>
